<?php
namespace Auction\Controller;



class AuctionController extends \Zend\Mvc\Controller\AbstractActionController
{

	public function processAction()
	{
		\Utility\Registry::setServiceManager($this->serviceLocator);
		\Utility\Registry::addDynamicConfig(
				\Utility\Registry::getEntityManager()
				->getRepository('Config\Entity\Config')
				->find(1)
				->toArray()
		);
		$service = new \Auction\Service\Auction();
		$service->setWorkflow($this->serviceLocator->get('Auction'));
		$service->cronProcess();
		return "\n";
	}

	public function processCustomAction()
	{
		\Utility\Registry::setServiceManager($this->serviceLocator);
		\Utility\Registry::addDynamicConfig(
				\Utility\Registry::getEntityManager()
				->getRepository('Config\Entity\Config')
				->find(1)
				->toArray()
		);
		$service = new \Auction\Service\Auction();
		$service->setWorkflow($this->serviceLocator->get('Auction'));
		$service->cronProcessCustom();
		return "\n";
	}

	public function processCleanupAction()
	{
		\Utility\Registry::setServiceManager($this->serviceLocator);
		\Utility\Registry::addDynamicConfig(
				\Utility\Registry::getEntityManager()
				->getRepository('Config\Entity\Config')
				->find(1)
				->toArray()
		);
		$service = new \Auction\Service\Auction();
		$service->setWorkflow($this->serviceLocator->get('Auction'));
		$service->cronProcessCleanup();
		return "\n";
	}

	public function newsletterAction()
	{
		\Utility\Registry::setServiceManager($this->serviceLocator);
		\Utility\Registry::addDynamicConfig(
				\Utility\Registry::getEntityManager()
				->getRepository('Config\Entity\Config')
				->find(1)
				->toArray()
		);
		$service = new \Auction\Service\Auction();
		$service->setWorkflow($this->serviceLocator->get('Auction'));
		$service->newsletterProcess();
		return "\n";
	}

}