<?php
namespace Auction\DataBin;



/**
 * Manage Bid data.
 * @author andre.fourie
 */
class Reply extends \Workspace\Service\DataBin
{

	/**
	 * @var array
	 */
	protected $meta = array(
			'Base'        => 'Reply',
			'DatasetName' => 'replies',
			'Entity'      => '\Auction\Entity\Reply',
			'JobField'    => 'auction',
			'References'  => array(
					'question' => '\Auction\Entity\Question',
					'profile'  => '\User\Entity\Profile'
			),
			'Dependants'  => array()
	);
	/**
	 * @var array
	*/
	protected $metaCreate = array(
			'Type'          => 'Create',
			'Contract'      => 'Recurring',
			'ExecuteAfter'  => array(
					'notify'
			),
			'RequiredInput' => array(
					'Reply' => array(
							'question'  => 'Id',
							'reply' 	=> 'String500'
					)
			),
			'OptionalInput' => array()
	);

}